{% extends "_layouts/cp" %}
{% set centered = true %}

{% set customers = craft.nutisPays.getAllClients %}
{% set title = "Clientes suscritos"|t %}



{% set content %}



    <p id="nocustomers"{% if customers|length %} class="hidden"{% endif %}>
        {{ "No hay clientes registrados."|t }}
    </p>

    {% if customers|length %}
        <table id="customers" class="data">
            <thead>
                <th scope="col">{{ "Fecha Alta"|t }}</th>
                <th scope="col">{{ "Nombre"|t }}</th>
                <th scope="col">{{ "Correo"|t }}</th>
                <th scope="col">{{ "País"|t }}</th>
                <th scope="col">{{ "Nº suscripciones pagadas"|t }}</th>
                <th scope="col">{{ "Próximo pago de suscripción sdf"|t }}</th>
            </thead>
            <tbody>

                {% for customer in customers %}

               
                    <tr data-id="{{ customer.id }}" data-name="{{ customer.name|t }}">
                        <td>{{customer.dateCreated|date("j F Y g:ia") }}</td>
                        <td>{{customer.name}}</td>
                        <td>{{customer.email}}</td>
                        <td>{{customer.country}}</td>
                        <td><a href="{{ url('nutispays/clientDetails/'~customer.id) }}">{{ customer.pays|length }}</a></td>
                        <td>{{customer.periodEndDate|date("j F Y")}} </td>
                        
                       
                    </tr>
                {% endfor %}

            </tbody>
        </table>
    {% endif %}


{% endset %}

{% set js %}
    new Craft.AdminTable({
        tableSelector: '#customers',
        noObjectsSelector: '#nocustomers'
    });
{% endset %}
{% includeJs js %}
